/*
 * Copyright (c) 2009, 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.sun.ts.tests.jpa.core.relationship.unionexone;

import javax.persistence.Entity;
import javax.persistence.Id;


@Entity
public class Uni1X1Project implements java.io.Serializable  {

    private long                projId;
    private String              name;
    private float          budget;

    public Uni1X1Project() {
    }

    public Uni1X1Project(long projId, String name, float budget) {
        this.projId = projId;
        this.name = name;
        this.budget = budget;
    }

    @Id
    public long getProjId() {
        return projId;

            }
    public void setProjId(long projId) {
        this.projId = projId;
    }

    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }

    public float getBudget() {
        return budget;
    }
    public void setBudget(float budget) {
        this.budget = budget;
    }

}
